.cursor-pointer {
  cursor: pointer;
}

.cursor-default {
  cursor: default;
}

.position-relative {
  position: relative;
}

.position-absolute {
  position: absolute;
}

.w-full {
  width: 100%;
}

.h-full {
  height: 100%;
}

.theme--light.v-application,
.theme--light.v-application .text--primary,
.theme--light.v-list-item:not(.v-list-item--active):not(.v-list-item--disabled) {
  color: #555 !important;
}

.font-weight-semibold {
  font-weight: 600 !important;
}

.text-xs {
  font-size: 0.75rem !important;
  line-height: 1rem !important;
}

.text-sm {
  font-size: 0.875rem !important;
  line-height: 1.25rem !important;
}

.theme--light.v-application .text--secondary {
  color: rgba(94, 86, 105, 0.98) !important;
}

.v-application .elevation-3,
.v-application.theme--light .v-btn--is-elevated,
.v-sheet.v-card:not(.v-sheet--outlined),
.filters-box {
  box-shadow: 0 4px 8px -4px rgb(94 86 105 / 42%) !important;
}

.v-dialog.v-dialog--active .v-card__title {
  cursor: move;
}

.v-breadcrumbs {
  cursor: default;
}

.v-sheet.v-card {
  border-radius: 6px !important;
}

.theme--light.v-data-table th {
  color: rgba(94, 86, 105, 0.87) !important;
  border-top: thin solid rgba(94, 86, 105, 0.14);
}

.v-data-table th {
  font-weight: 600;
  background-color: #fafafa !important;
}

.v-data-table th .v-icon.mdi-arrow-up,
.v-data-table th .v-icon.mdi-arrow-down {
  position: absolute;
}

.v-data-table tr.expired {
  background-color: #f7bbbb;
}

.v-data-table tr.expired:hover {
  background-color: #debaba !important;
}

.v-data-table tr.expire-soon {
  background-color: #f7f2bb;
}

.v-data-table tr.expire-soon:hover {
  background-color: #dedbba !important;
}

.legend .expire-soon::before {
  content: '';
  width: 10px;
  height: 10px;
  display: inline-block;
  margin: 0 10px;
  background-color: #f7f2bb;
  border: 1px solid #a19d78;
}

.legend .expired::before {
  content: '';
  width: 10px;
  height: 10px;
  display: inline-block;
  margin: 0 10px;
  background-color: #f7bbbb;
  border: 1px solid #a57d7d;
}

.v-text-field.v-text-field--enclosed .v-text-field__details {
  position: absolute;
  bottom: -22px;
}

.v-input .v-label {
  font-weight: 500;
}

.v-input .v-label.v-label--active {
  font-size: 18px;
  font-weight: bold;
  line-height: 16px;
}

.v-input.dense.v-input--checkbox .v-input__control {
  padding: 7px 8px !important;
}
.v-input.v-input--checkbox {
  margin-top: 0;
  padding: 0;
}

.v-input.v-input--checkbox .v-input__control {
  border: 1px solid rgba(0, 0, 0, 0.38);
  padding: 15px 8px;
  border-radius: 4px;
}

.v-input.v-input--checkbox.v-input--is-disabled .v-input__control {
  border-color: rgba(0, 0, 0, 0.26);
}

.v-input.v-input--checkbox .v-input__control:hover {
  border-color: #000;
}

.v-input.v-input--checkbox .v-input__slot {
  margin-bottom: 0;
}

.v-input.v-input--checkbox .v-messages {
  display: none;
}

.theme--light.v-input--is-disabled input,
.theme--light.v-input--is-disabled textarea,
.theme--light.v-select .v-select__selection--disabled,
.theme--light.v-label--is-disabled {
  color: rgba(0, 0, 0, 0.5) !important;
}

.theme--light.v-input--is-disabled .v-input__slot {
  background-color: #f1f1f1 !important;
}
.v-select__slot input[type='text']:disabled {
  cursor: default !important;
}
.boxed-container {
  max-width: 96%;
  margin-left: auto;
  margin-right: auto;
}
.v-tabs-items {
  overflow-y: auto !important;
  width: 100%;
}
.v-data-table tr.not-connected {
  background-color: #f7bbbb;
}

.v-data-table tr.not-connected:hover {
  background-color: #debaba !important;
}

.v-data-table tr.connected {
  background-color: #aed581;
}

.v-data-table tr.connected:hover {
  background-color: #dedbba !important;
}
.v-input.required label::after {
  content: ' *';
  color: #c22;
  position: relative;
}

.v-select-list > div.v-list-item--link:only-child:not(.v-list-item--active) {
  background-color: #e4e4e4;
}
.v-data-table tr.not-published td {
  color: #d32f2f;
}
.v-data-table tr.published td {
  color: #207f24;
  /* color: #4caf50; */
}
.v-data-table__empty-wrapper > td {
  font-size: 25px !important;
  padding: 5px 0 !important;
}

.v-data-footer__last-update {
  margin-left: auto !important;
  font-weight: bold;
}
.v-data-footer__last-update span {
  text-transform: uppercase;
}
.lastUpdate .v-data-footer__select {
  margin-left: 50px !important;
}
.text-24 {
  font-size: 24px !important;
}
tr.highlighted {
  background-color: #eeeeee;
}
tr.expire-soon.highlighted {
  background-color: #f1e246;
}
tr.expired.highlighted {
  background-color: #e54747;
}
tr.not-connected.highlighted {
  background-color: #e54747;
}
tr.connected.highlighted {
  background-color: #92d645;
}
